### A free/open-source library for quantitative finance

Classes | Public Member Functions | Protected Member Functions | Protected Attributes
Vasicek Class Reference
Short-rate modelling framework

Vasicek model class More...

`#include <ql/models/shortrate/onefactormodels/vasicek.hpp>`

Inheritance diagram for Vasicek:
[legend]

List of all members.

## Classes

class | Dynamics
| Short-rate dynamics in the Vasicek model. More...

## Public Member Functions

| Vasicek (Rate r0=0.05, Real a=0.1, Real b=0.05, Real sigma=0.01, Real lambda=0.0)
virtual Real | discountBondOption (Option::Type type, Real strike, Time maturity, Time bondMaturity) const
virtual boost::shared_ptr < ShortRateDynamics > | dynamics () const
| returns the short-rate dynamics

## Protected Member Functions

virtual Real | A (Time t, Time T) const
virtual Real | B (Time t, Time T) const
Real | a () const
Real | b () const
Real | lambda () const
Real | sigma () const

## Protected Attributes

Real | r0_
Parameter & | a_
Parameter & | b_
Parameter & | sigma_
Parameter & | lambda_

## Detailed Description

Vasicek model class

This class implements the Vasicek model defined by

where , and are constants; a risk premium can also be specified.